Bug 1015363 - ActiveCollectionManager is not available
ActiveCollectionManager is not available
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Gary Brown
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 23:21 EDT by kconner
Modified: 2015-08-02 19:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kev's quick fix (12.32 KB, patch)
2013-10-04 05:28 EDT, Gary Brown
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-287 Major Closed Accessor wait interval needs to be configurable 2018-01-11 00:39 EST

  None (edit)
Description kconner 2013-10-03 23:21:01 EDT
The following failure was seen in the most recent ER4 build

[0m[31m23:33:19,053 SEVERE [org.overlord.rtgov.active.collection.ActiveCollectionManagerAccessor] (ServerService Thread Pool -- 55) ActiveCollectionManager is not available
[0m[31m23:33:19,054 SEVERE [org.overlord.rtgov.internal.acs.loader.jee.JEEACSLoader] (ServerService Thread Pool -- 55) Failed to obtain reference to ActiveCollectionManager

This is the result of code within the following classes:

ActiveCollectionManagerAccessor, ReportManagerAccessor, ActivityCollectorAccessor, InformationProcessorManagerAccessor, ActivityValidatorManagerAccessor, EPNManagerAccessor

Which has a hard coded timeout of 10s.

This should be replaced with code that is configurable with a larger default.
Comment 2 kconner 2013-10-04 02:18:12 EDT
Other potential error messages are

20:14:02,803 SEVERE [org.overlord.rtgov.active.collection.ActiveCollectionManagerAccessor] (ServerService Thread Pool -- 92) ActiveCollectionManager is not available
20:14:02,809 SEVERE [org.overlord.rtgov.activity.validator.ActivityValidatorManagerAccessor] (ServerService Thread Pool -- 64) ActivityValidatorManager is not available
20:14:02,813 SEVERE [org.overlord.rtgov.activity.processor.InformationProcessorManagerAccessor] (ServerService Thread Pool -- 63) InformationProcessorManager is not available
20:14:02,814 SEVERE [org.overlord.rtgov.reports.ReportManagerAccessor] (ServerService Thread Pool -- 94) ReportManager is not available
20:14:02,806 SEVERE [org.overlord.rtgov.epn.EPNManagerAccessor] (ServerService Thread Pool -- 95) EPNManager is not available
Comment 3 Gary Brown 2013-10-04 05:28:44 EDT
Created attachment 807523 [details]
Kev's quick fix

This is Kev's quick fix that should get around the problem for beta. However I will investigate further to find a better solution that hopefully should avoid blocking the deployment of the artifacts.
Comment 4 Gary Brown 2013-10-04 08:59:01 EDT
Will open a separate bz for the longer term solution.
Comment 8 Jiri Pechanec 2013-10-18 10:24:11 EDT
Verified in ER6 - configurable via proptery and default 30 secs
Comment 9 JBoss JIRA Server 2014-07-02 05:18:47 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-287 to Closed

Note You need to log in before you can comment on or make changes to this bug.